package javax.swing.plaf.metal;

import java.awt.Dimension;
import java.awt.Graphics;
import javax.swing.LookAndFeel;
import javax.swing.JSeparator;
import javax.swing.plaf.ComponentUI;
import javax.swing.JComponent;
import javax.swing.plaf.basic.BasicSeparatorUI;

public class MetalSeparatorUI extends BasicSeparatorUI
{
    public MetalSeparatorUI() {
    }
    
    public static ComponentUI createUI(JComponent component) {
        return new MetalSeparatorUI();
    }
    
    @Override
    protected void installDefaults(JSeparator c) {
        LookAndFeel.installColors(c, "Separator.background", "Separator.foreground");
    }
    
    @Override
    public void paint(Graphics graphics, JComponent component) {
        Dimension size = component.getSize();
        if (((JSeparator)component).getOrientation() == 1) {
            graphics.setColor(component.getForeground());
            graphics.drawLine(0, 0, 0, size.height);
            graphics.setColor(component.getBackground());
            graphics.drawLine(1, 0, 1, size.height);
        }
        else {
            graphics.setColor(component.getForeground());
            graphics.drawLine(0, 0, size.width, 0);
            graphics.setColor(component.getBackground());
            graphics.drawLine(0, 1, size.width, 1);
        }
    }
    
    @Override
    public Dimension getPreferredSize(JComponent component) {
        if (((JSeparator)component).getOrientation() == 1) {
            return new Dimension(2, 0);
        }
        return new Dimension(0, 2);
    }
}
